<!--index.vue-->
<template>
  <div>
    <div class="chat-wrap">
      <!-- 聊天人名称 -->
      <!-- <div class="chat-title">chatGPT</div> -->

      <!-- 聊天内容 -->
      <chatList
        ref="refChatList"
        :userid="id"
      />

    </div>
  </div>
</template>

<script>
import Login from '../utils/jun_login.js'
import chatList from '@/components/ChatList/chat_list'
export default {
  name: 'Index',
  components: { chatList },
  inject: ['noop'],
  data() {
    return {
      id: '',

      chatInfo: ''
    }
  },
  computed: {},
  mounted() {
    console.log('index mounted')
    this.init()
  },
  destroyed() {},
  methods: {
    init() {
    },

    login() {
      const code = this.getQueryString('code')
      Login.loginReq({
        data: {
          code
        }
      }).then((res) => {
        this.setLocalStorage('code', code || '')
      }).catch((res) => {
        if (res.data.msg.indexOf('用户') > -1) {
          Login.toLongUrl()
        } else {
          window.appToast(res.data.msg)
        }
      })
    }
  }
}
</script>

<style scoped>
.chat-wrap{
  background-color: #fff;
  width: 100%;
  box-sizing: border-box;
  margin: 0 auto;
}
.chat-title{
  height: 60PX;
  line-height: 60PX;
  font-size: 28px;
  border-bottom: 1px solid #dcdfe6;
  margin-left: 20px;
}
</style>
